zabbix_export:
  version: '7.4'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: 889ff2bbced04b158bc206bfd216a15b
      template: T-Nested-LLD-Repro
      name: T-Nested-LLD-Repro
      groups:
        - name: Templates
      discovery_rules:
        - uuid: 8739e8f60788420486a4be3cd5464cdb
          name: 'Discovery interfaces'
          type: TRAP
          key: repro.discovery.interfaces
          lld_macro_paths:
            - lld_macro: '{#IFALIAS}'
              path: $.ifalias
            - lld_macro: '{#IFNAME}'
              path: $.ifname
        - uuid: 38e7af8b5e4b47bcbf82c813cf751e2b
          name: 'Discovery sub-interfaces [{#IFNAME} ({#IFALIAS})]'
          type: NESTED
          key: 'repro.discovery.subinterfaces[{#IFNAME}]'
          filter:
            conditions:
              - macro: '{#SUBIFALIAS}'
                value: '{$SUBINTERFACE_IFALIAS_MATCH:"{#IFALIAS}"}'
              - macro: '{#SUBIFALIAS}'
                value: '{$SUBINTERFACE_IFALIAS_NOT_MATCH:"{#IFALIAS}"}'
                operator: NOT_MATCHES_REGEX
              - macro: '{#SUBIFNAME}'
                value: '{$SUBINTERFACE_IFNAME_MATCH:"{#IFNAME}"}'
          parent_discovery_rule:
            key: repro.discovery.interfaces
          lld_macro_paths:
            - lld_macro: '{#SUBIFALIAS}'
              path: $.subifalias
            - lld_macro: '{#SUBIFNAME}'
              path: $.subifname
          preprocessing:
            - type: JSONPATH
              parameters:
                - $.subinterfaces
      macros:
        - macro: '{$SUBINTERFACE_IFALIAS_MATCH:"WAN-GROUP"}'
          value: '^CUST_.*'
        - macro: '{$SUBINTERFACE_IFALIAS_NOT_MATCH:"WAN-GROUP"}'
          value: ^IGNORE$
        - macro: '{$SUBINTERFACE_IFNAME_MATCH:"ae3"}'
          value: '^ae3\.[0-9]+$'
